#
# spec file for package gap-ace
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-ace
Version:        5.2
Release:        lp151.2.34
Summary:        GAP: Advanced Coset Enumerator
License:        MIT
Group:          Productivity/Scientific/Math
Url:            http://www.math.rwth-aachen.de/~Greg.Gamble/ACE/

#Git-Clone:	https://github.com/gap-packages/ace
Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/ace-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-devel
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.7

%description
The ACE package provides functions associated with Todd-Coxeter coset
enumeration by interfacing with the Advanced Coset Enumerator (ACE)
from within GAP.

%prep
%setup -qn ace-%version

%build
./configure "%gapdir"
make %{?_smp_mflags} CC="cc %optflags"

%install
%gappkg_simple_install
rm -Rf "%buildroot/$moddir/src"

%files -f %name.files
%defattr(-,root,root)

%changelog
* Tue Sep 19 2017 jengelh@inai.de
- Correct License: field form HPND to MIT
* Sun Mar 27 2016 jengelh@inai.de
- Initial package (version 5.2) for build.opensuse.org
